{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
  };
  outputs = { self, nixpkgs, ... }: {
    packages.x86_64-linux = let
      pkgs = import nixpkgs {
        system = "x86_64-linux";
      };
    in {
      chaosevents = pkgs.python311Packages.buildPythonPackage rec {
        pname = "chaosevents";
        version = "0.0.1";

        src = ./.;

        format = "pyproject";

        buildInputs = [ pkgs.python311Packages.hatchling ];
        propagatedBuildInputs = with pkgs.python311Packages; [ attrs ics jinja2 markdown2 requests ];

        pythonImportsCheck = [ "chaosevents" ];
      };
      default = self.packages.x86_64-linux.chaosevents;
    };

    apps.x86_64-linux = {
      chaosevents = {
        type = "app";
        program = self.packages.x86_64-linux.chaosevents + "/bin/chaosevents";
      };
      default = self.apps.x86_64-linux.chaosevents;
    };

    hydraJobs = {
      inherit (self)
        packages;
    };
  };
}
